For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Data
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get All Shipments for Order

||View as Markdown|
GET
/2026-01/order/:orderId/shipment
GET
/2026-01/order/:orderId/shipment
$curl https://api.shipbob.com/2026-01/order/orderId/shipment \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "actual_fulfillment_date": "2019-08-24T14:15:22Z",
4 "created_date": "2019-08-24T14:15:22Z",
5 "delivery_date": "2019-08-24T14:15:22Z",
6 "estimated_fulfillment_date": "2019-08-24T14:15:22Z",
7 "estimated_fulfillment_date_status": "AwaitingInventoryAllocation",
8 "gift_message": "string",
9 "id": 0,
10 "insurance_value": 0,
11 "invoice_amount": 0,
12 "invoice_currency_code": "string",
13 "is_tracking_uploaded": true,
14 "last_tracking_update_at": "2019-08-24T14:15:22Z",
15 "last_update_at": "2019-08-24T14:15:22Z",
16 "location": {
17 "id": 0,
18 "name": "Cicero (IL)"
19 },
20 "measurements": {
21 "depth_in": 0,
22 "length_in": 0,
23 "total_weight_oz": 0,
24 "width_in": 0
25 },
26 "order_id": 0,
27 "package_material_type": "Unknown",
28 "parent_cartons": [
29 {
30 "barcode": "string",
31 "cartons": [
32 {
33 "barcode": "string",
34 "carton_details": [
35 {
36 "products": [
37 {
38 "id": 0,
39 "inventory_items": [
40 {
41 "expiration_date": "2019-08-24T14:15:22Z",
42 "id": 0,
43 "is_dangerous_goods": true,
44 "lot": "22222",
45 "name": "Medium Blue T-Shirt",
46 "quantity": 0,
47 "quantity_committed": 0,
48 "serial_numbers": [
49 "string"
50 ]
51 }
52 ],
53 "name": "Medium Blue T-Shirt",
54 "reference_id": "TShirtBlueM",
55 "sku": "TShirtBlueM"
56 }
57 ]
58 }
59 ],
60 "id": 0,
61 "measurements": {
62 "depth_in": 0.1,
63 "length_in": 0.1,
64 "total_weight_oz": 0.1,
65 "width_in": 0.1
66 },
67 "type": "Box or pallet"
68 }
69 ],
70 "measurements": {
71 "depth_in": 0.1,
72 "length_in": 0.1,
73 "total_weight_oz": 0.1,
74 "width_in": 0.1
75 },
76 "type": "Box or pallet"
77 }
78 ],
79 "products": [
80 {
81 "id": 0,
82 "inventory_items": [
83 {
84 "expiration_date": "2019-08-24T14:15:22Z",
85 "id": 0,
86 "is_dangerous_goods": true,
87 "lot": "22222",
88 "name": "Medium Blue T-Shirt",
89 "quantity": 0,
90 "quantity_committed": 0,
91 "serial_numbers": [
92 "string"
93 ]
94 }
95 ],
96 "name": "Medium Blue T-Shirt",
97 "reference_id": "TShirtBlueM",
98 "sku": "TShirtBlueM"
99 }
100 ],
101 "recipient": {
102 "address": {
103 "address1": "100 Nowhere Blvd",
104 "address2": "Suite 100",
105 "city": "Gotham City",
106 "company_name": "Wayne Enterprises",
107 "country": "US",
108 "state": "NJ",
109 "zip_code": "07093"
110 },
111 "email": "john@example.com",
112 "full_name": "John Doe",
113 "name": "John Doe",
114 "phone_number": "555-555-5555"
115 },
116 "reference_id": "string",
117 "require_signature": true,
118 "ship_option": "Standard",
119 "status": "None",
120 "status_details": [
121 {
122 "description": "string",
123 "exception_fulfillment_center_id": 0,
124 "extra_information": {
125 "validation_messages": [
126 "string"
127 ]
128 },
129 "id": 0,
130 "inventory_id": 0,
131 "name": "string"
132 }
133 ],
134 "tracking": {
135 "bol": "string",
136 "carrier": "USPS",
137 "carrier_service": "Priority",
138 "pro_number": "string",
139 "scac": "string",
140 "shipping_date": "2019-08-24T14:15:22Z",
141 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC",
142 "tracking_url": "https://www.example.com/tracking?id=860C8CDC8F0B4FC7AB69AC86C20539EC"
143 }
144 }
145]
Retrieves all shipments associated with a specific order, including shipment status, tracking information, and product details.
Was this page helpful?
Previous

Get Shipment Status Timeline by Order ID and Shipment ID

Next

Get Shipment Logs by Order ID and Shipment ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

orderIdstringRequiredformat: "int32"
The order id to get shipments for

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
actual_fulfillment_datedatetime or null

The datetime of ShipBob’s completion of the fulfillment operation as promised. Currently, this means the shipment has been picked, packed, and label has been printed.

created_datedatetime
Date this shipment was created
delivery_datedatetime or null
The datetime of Shipment delivered to customer.
estimated_fulfillment_datedatetime or null

The datetime of ShipBob’s commitment for completing the shipment and handing to the carrier for delivery.

estimated_fulfillment_date_statusenum
gift_messagestring or null<=500 characters
Gift message associated with the shipment
idinteger
Unique id of the shipment
insurance_valuedouble or null
Monetary amount that this shipment was insured for
invoice_amountdouble or null
Monetary amount that was invoiced for this shipment
invoice_currency_codestring or null
is_tracking_uploadedboolean

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated.

last_tracking_update_atdatetime or null
Timestamp for the last time this shipment had a tracking update
last_update_atdatetime or null
Date this shipment was last updated
locationobject
Information about a fulfillment center that a shipment can belong to
measurementsobject
Measurements of a shipment
order_idinteger
Id of the order this shipment belongs to
package_material_typeenum
parent_cartonslist of objects or null
Carton information for this shipment
productslist of objects or null
Information about the products contained in this shipment
recipientobject
Information about the recipient of a shipment
reference_idstring or null

Client-defined external unique id of the order this shipment belongs to

require_signatureboolean
If a shipment requires signature
ship_optionstring or null
Name of the shipping option used for this shipment
statusenum
status_detailslist of objects or null
Additional details about the shipment status
trackingobject
Tracking information for a shipment

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error